######################################################################
# datHerc_DL_brim.cs
# Dark Lord BrimStone 
#
######################################################################

#                 Identity_Tag  Abbreviation     Shape             Mass                MaxMass               RCS              Tech_Level      Combat_Value
hercBase(         IDVEH_DL_BRIM,"APOC",          "tr_apoc.dts",                  10.0 ,                  70 ,           1.15 ,             3 ,        2540);

#                 maxPosAcc     minPosVel        maxForPosVel      maxRevPosVel        (all_m/s)
hercPos(                 13.00 ,           3.00 ,           26.00 ,              -14.00);

#                 minRotVel     maxRVSlow        maxRVFast         (all_deg/s)
hercRot(                  6.00 ,          48.00 ,             19.50);

#                 toStandVel    toRunVel         toFastRunVel      toFastTurnVel(deg/s)
hercAnim(         4.0,          9.0,             14.0,                               30);

#                 offsetX       offsetY          offsetZ
hercCpit(         0.0,          1.45,                          1.55);

#                 sphOffstX     sphOffstY        sphOffstZ         sphereRad
hercColl(         0.0,          0.0,             2.9,                                 3);

#                 fireBayesNetName
hercAI(           "hercFire.ai", "targetPart.ai","hercManeuver.ai","hercRetreat.ai"    );

#                               Hard Points
#                               (sizes:SMLX      sides:TBLR)       Dmg                 Offset_fm_Node                                         X_rot_rnge        Z_rot_rnge
#                 id            size             side              Prnt                X___                  Y___             Z___            min__       max_  min__           max__
newHardPoint(     0,            L,               T,                Head,           0.5,                  -0.75,           2.50,           -12.0,      60.0, -70.0,             50);
newHardPoint(     1,            L,               T,                Head,            -0.5,                 -0.75,           2.50,           -12.0,      60.0, -50.0,             70);
newHardPoint(     2,            X,               R,                Head,           1.2,                  0.0,            1.50,           -25.0,      60.0, -50.0,             10);
HardPointSpecial(                   4);
newHardPoint(     3,            X,               L,                Head,            -1.2,                 0.0,            1.50,           -25.0,      60.0, -10.0,             50);
HardPointSpecial(                   4);
#
#
#
#                 id            size             Dmg_Parent        Allowed_Mountables
newMountPoint(    0,            L,               Pelvis,           Engine);
newMountPoint(    1,            M,               Pelvis,           Reactor);
newMountPoint(    2,            M,               Head,             Computer);
newMountPoint(    3,            M,               Head,         Shield);
newMountPoint(    4,            L,               none,             Armor);
newMountPoint(    5,            M,               Head,          Sensors             );
newMountPoint(    6,            M,               RightLeg,         ECM,                ThermalDiffuser,      LaserTargeting,  NanoRepair,     Battery,    Cloak,FieldStabilizer,       ammoPack,
                                                                   LifeSupport,        ShieldModulator,      ShieldCapacitor, ShieldAmplifier,Capacitor,        AgravGenerator,        TurbineBoost, RocketBooster);
newMountPoint(    7,            M,               LeftLeg,          ECM,                ThermalDiffuser,      LaserTargeting,  NanoRepair,     Battery,    Cloak,FieldStabilizer,       ammoPack,
                                                                   LifeSupport,        ShieldModulator,      ShieldCapacitor, ShieldAmplifier,Capacitor,        AgravGenerator,        TurbineBoost, RocketBooster);
#                 Internal      Components
#                 id            type             parent            max_dmg             identity_tag
newComponent(     Armor,        Armor,           none,                          11000 ,IDCOM_ARMOR           );
newComponent(     LeftServos,   LeftServos,      none,                            900 ,IDCOM_LEFT_LEG_SERVOS );
newComponent(     RightServos,  RightServos,     none,                            900 ,IDCOM_RIGHT_LEG_SERVOS);

#                 External      Components
#                 id            type             parent            max_dmg             identity_tag          total internals =            9000
newComponent(     Pelvis,       Pelvis,          none,                           1280 ,IDCOM_PELVIS          );                         # 0.12
newComponent(     Head,         Head,            Pelvis,                         1460 ,IDCOM_HEAD            );                         # 0.14
newComponent(     LeftLeg,      LeftLeg,         Pelvis,                         1080 ,IDCOM_LEFT_LEG        );                         # 0.12
newComponent(     RightLeg,     RightLeg,        Pelvis,                         1080 ,IDCOM_RIGHT_LEG       );                         # 0.12
newComponent(     LeftCalf,     LeftCalf,        LeftLeg,                        1010 ,IDCOM_LEFT_CALF       );                         # 0.09
newComponent(     RightCalf,    RightCalf,       RightLeg,                       1010 ,IDCOM_RIGHT_CALF      );                         # 0.09
newComponent(     LeftFoot,     LeftFoot,        LeftLeg,                        1040 ,IDCOM_LEFT_FOOT       );                         # 0.06
newComponent(     RightFoot,    RightFoot,       RightLeg,                       1040 ,IDCOM_RIGHT_FOOT      );                         # 0.06
newComponent(     LeftPod,      LeftPod,         Head,                              0 ,IDCOM_LEFT_POD        );                         # 0.10
newComponent(     RightPod,     RightPod,        Head,                              0 ,IDCOM_RIGHT_POD       );                         # 0.10
newComponent(     Pilot,        Pilot,           none,                            300 ,IDCOM_PILOT           );
#                                                (totals)                          9000                                                   1.00

#                 Distribution  of               internal          components          among                 external         components
#                 containee     container        percent/100
newConfiguration( Armor,        LeftFoot,                      0.11);                                   # 550
newConfiguration( Armor,        RightFoot,                     0.11);                                   # 550
newConfiguration( Armor,        LeftCalf,                      0.12);                                  # 1100
newConfiguration( Armor,        RightCalf,                     0.12);                                  # 1100
newConfiguration( Armor,        LeftLeg,                       0.12);                                  # 1100
newConfiguration( Armor,        RightLeg,                      0.12);                                  # 1100
newConfiguration( Armor,        Pelvis,                        0.14);                                  # 1320
newConfiguration( Armor,        Head,                          0.16);                                  # 1540
newConfiguration( Armor,        LeftPod,                       0.0);                                  # 1320
newConfiguration( Armor,        RightPod,                      0.0);                                  # 1320
#                 -----
#                                                              1.00

newConfiguration( LeftServos,   LeftFoot,                       0.3);
newConfiguration( LeftServos,   LeftCalf,                      0.35);
newConfiguration( LeftServos,   LeftLeg,                       0.35);

newConfiguration( RightServos,  RightFoot,                      0.3);
newConfiguration( RightServos,  RightCalf,                     0.35);
newConfiguration( RightServos,  RightLeg,                      0.35);

defaultWeapons(   117,          117,             117,              117);
defaultMountables(108,          202,             801,              304,                928,                  400,             820,                     850);
d