######################################################################
# datTank_DL_dune.cs
# Dark Lord Dune Buggy
#
######################################################################

#                    Identity_Tag           Abbreviation          Shape             Mass               MaxMass                     RCS            Tech_Level   Combat_Value
tankBase(            IDVEH_DL_DUNE,         "DREA",               "rb_drea.dts",                8.00 ,                     35.00 ,         0.35 ,          1 ,         2215);

#                    maxPosAcc              minPosVel             maxForPosVel      maxRevPosVel       (all_m/s)
tankPos(                             35.00 ,                0.00 ,           55.00 ,             -32.00);

#                    minRotVel              maxRVSlow             maxRVFast         maxRVTurret        (all_deg/s)
tankRot(                              2.50 ,              110.00 ,           65.00 ,              70.00);

#                    offsetX                offsetY               offsetZ
tankCpit(            0.0,                   0.0,                                   0);

#                    sphOffstX              sphOffstY             sphOffstZ         sphereRad
tankColl(            0.0,                   0.0,                  2.9,                                3);

#                    TreadAnim_Rot_Coeff    Tread_Anim_Pos_Coeff
tankAnim(            2.0,                                     0.25);

#                    engine_sound_tag       has_thrusters
tankSound(           IDSFX_TANK_ENGINE_0,            TRUE         );

#                    fireBayesNetName
tankAI(              "tankFire.ai",          "targetPart.ai",     "tankManeuver.ai","tankRetreat.ai"   );

#                                           Hard Points
#                                           (sizes:SMLX           sides:TBLR)       Dmg                Offset_fm_Node                                          X_rot_rnge         Z_rot_rnge
#                    id                     size                  side              Prnt               X___                        Y___           Z___         min__        max_  min__           max__
newHardPoint(        0,                     L,                    L,                TankHead,       -0.75,                       0.5,           0.75,        -15.0,       60.0, -60.0,              60);
HardPointDamage(                        2500);
newHardPoint(        1,                     L,                    R,                TankHead,        0.75,                        0.5,           0.75,        -15.0,       60.0, -60.0,              60);
HardPointDamage(                        2500);

#                    id                     size                  Dmg_Parent        Allowed_Mountables
newMountPoint(       0,                     L,                    Body,             Engine);
newMountPoint(       1,                     M,                    Body,             Reactor);
newMountPoint(       2,                     M,                    TankHead,         Computer);
newMountPoint(       3,                     M,                    none,             Armor);
newMountPoint(       4,                     M,                    TankHead,         Sensors);
newMountPoint(       5,                     S,                    TankHead,      ECM,               ThermalDiffuser,            LaserTargeting,NanoRepair,  Battery,     Cloak,FieldStabilizer,
                                                                                    LifeSupport,       Capacitor,                  AgravGenerator,TurbineBoost,RocketBooster,     ammoPack              );
newMountPoint(       6,                     M,                    Body,             ECM,               ThermalDiffuser,            LaserTargeting,NanoRepair,  Battery,     Cloak,FieldStabilizer,
                                                                                    LifeSupport,       Capacitor,                  AgravGenerator,TurbineBoost,RocketBooster,     ammoPack              );
newMountPoint(       7,                     X,                    Body,     ECM,               ThermalDiffuser,            LaserTargeting,NanoRepair,  Battery,     Cloak,FieldStabilizer,
                                                                                    LifeSupport,       Capacitor,                  AgravGenerator,TurbineBoost,RocketBooster,     ammoPack              );
#                    Internal               Components
#                    id                     type                  parent            max_dmg            identity_tag
newComponent(        Armor,                 Armor,                none,                         12000 ,IDCOM_ARMOR                 );
newComponent(        LeftServos,            LeftServos,           none,                           500 ,IDCOM_LEFT_TREAD_SERVOS     );
newComponent(        RightServos,           RightServos,          none,                           500 ,IDCOM_RIGHT_TREAD_SERVOS    );

#                    External               Components
#                    id                     type                  parent            max_dmg            identity_tag                total internals        12000
newComponent(        Body,                  Body,                 none,                          1680 ,IDCOM_BODY                  );                    # 0.14
newComponent(        TankHead,              TankHead,             Body,                          1560 ,IDCOM_HEAD                  );                    # 0.13
newComponent(        LeftTread,             LeftTread,            Body,                          1440 ,IDCOM_LEFT_TREAD            );                    # 0.12
newComponent(        RightTread,            RightTread,           Body,                          1440 ,IDCOM_RIGHT_TREAD           );                    # 0.12
newComponent(        tankLeftPod,           tankLeftPod,          TankHead,                         0 ,IDCOM_LEFT_POD              );                    # 0.12
newComponent(        tankRightPod,          tankRightPod,         TankHead,                         0 ,IDCOM_RIGHT_POD             );                    # 0.12
newComponent(        Bumper,                Bumper,               Body,                             0 ,IDCOM_BUMPER                );                    # 0.25
newComponent(        Pilot,                 Pilot,                none,                           300 ,IDCOM_PILOT                 );
#                                                                 (totals)                         9000                                                    1.00

#                    Distribution           of                    internal          components         among                       external       components
#                    containee              container             percent/100
newConfiguration(    Armor,                 Body,                               0.35);                                       # 4200
newConfiguration(    Armor,                 TankHead,                           0.19);                                       # 2280
newConfiguration(    Armor,                 LeftTread,                          0.23);                                       # 2760
newConfiguration(    Armor,                 RightTread,                         0.23);                                       # 2760
newConfiguration(    Armor,                 tankLeftPod,                        0.00);                                       # 00
newConfiguration(    Armor,                 tankRightPod,                       0.00);                                       # 00
newConfiguration(    Armor,                 Bumper,                             0.00);                                       # 00
#                    -----
#                                                                               1.00                                        # 22000

newConfiguration(    LeftServos,            LeftTread,                          1.00);
newConfiguration(    RightServos,           RightTread,                         1.00);

defaultWeapons(      108,                                      108);
defaultMountables(   108,                   204,                  801,              927,               412,                        865,           830,                   885);

