######################################################################
# datTank_cy_artl.cs
# Dark Lords Necromancer
#
######################################################################
#
#                 Identity_Tag        Abbreviation     Shape             Mass            MaxMass                 RCS              Tech_Level      Combat_Value
tankBase(         IDVEH_DL_NECR,      "CYARTL",        "cy_artl.dts",              30.0 ,                  120.0 ,           1.75 ,             4 ,         3000);

#                 maxPosAcc           minPosVel        maxForPosVel      maxRevPosVel    (all_m/s)
tankPos(                       4.00 ,           3.00 ,           14.00 ,          -7.00);

#                 minRotVel           maxRVSlow        maxRVFast         maxRVTurret     (all_deg/s)
tankRot(                        1.00 ,          25.00 ,           12.50 ,           10.00);

#                 offsetX             offsetY          offsetZ
tankCpit(                         0.0,             0.0,               3.0);

#                 sphOffstX           sphOffstY        sphOffstZ         sphereRad
tankColl(                         0.0,             0.0,              6.9,               7);

#                 TreadAnim_Rot_Coeff Tread_Anim_Pos_Coeff
tankAnim(                         2.0,              0.5);

#                 engine_sound_tag    has_thrusters
tankSound(        IDSFX_TANK_ENGINE_3,      TRUE       );

#                 fireBayesNetName
tankAI(           "tankFire.ai",       "targetPart.ai","tankManeuver.ai","tankRetreat.ai");

#                                     Hard Points
#                                     (sizes:SMLX      sides:TBLR)       Dmg             Offset_fm_Node                                           X_rot_rnge              Z_rot_rnge
#                 id                  size             side              Prnt            X___                    Y___             Z___            min__        max_       min__ max__
newHardPoint(     0 ,                 X,               T,                TankHead,       0.0,                    2.79,            1.00,           -25.0,       89.0,      -60.0,60.0);
HardPointDamage(                  3000);
newHardPoint(     1 ,                 M,               T,                TankHead,       2.5,                    0.0,            1.44,           -15.0,       30.0,      -60.0,60.0);
HardPointDamage(                  2000);
newHardPoint(     2 ,                 M,               T,                TankHead,       -2.5,                    0.0,            1.44,           -15.0,       30.0,      -60.0,60.0);
HardPointDamage(                  2000);
newHardPoint(     3 ,                 M,               R,                TankHead,       2.5,                    0.0,            1.44,           -15.0,       30.0,      -60.0,60.0);
HardPointDamage(                  2000);
newHardPoint(     4 ,                 M,               L,                TankHead,       -2.5,                    0.0,            1.44,           -15.0,       30.0,      -60.0,60.0);
HardPointDamage(                  2000);



#                 id                  size             Dmg_Parent        Allowed_Mountables
newMountPoint(    0 ,                 X,               Body,             Engine);
newMountPoint(    1 ,                 L,               LeftTread,        Reactor);
newMountPoint(    2 ,                 X,               TankHead,         Computer);
newMountPoint(    3 ,                 L,               none,             Armor);
newMountPoint(    4 ,                 X,               TankHead,         Sensors);
newMountPoint(    5 ,                 M,               TankHead,         ECM,            ThermalDiffuser,        LaserTargeting,  NanoRepair,     Battery,     Cloak,     FieldStabilizer,
                                                                         LifeSupport,    Capacitor,              AgravGenerator,  TurbineBoost,   RocketBooster,          ammoPack  );
newMountPoint(    6 ,                 L,               Body,             ECM,            ThermalDiffuser,        LaserTargeting,  NanoRepair,     Battery,     Cloak,     FieldStabilizer,
                                                                         LifeSupport,    Capacitor,              AgravGenerator,  TurbineBoost,   RocketBooster,          ammoPack  );
newMountPoint(    7 ,                 X,               Body,             ECM,            ThermalDiffuser,        LaserTargeting,  NanoRepair,     Battery,     Cloak,     FieldStabilizer,
                                                                         LifeSupport,    Capacitor,              AgravGenerator,  TurbineBoost,   RocketBooster,          ammoPack  );
#                 Internal            Components
#                 id                  type             parent            max_dmg         identity_tag
newComponent(     Armor,              Armor,           none,                      20000 ,IDCOM_ARMOR             );
newComponent(     LeftServos,         LeftServos,      Body,                        1500 ,IDCOM_LEFT_TREAD_SERVOS );
newComponent(     RightServos,        RightServos,     Body,                        1500 ,IDCOM_RIGHT_TREAD_SERVOS);

#                 External            Components
#                 id                  type             parent            max_dmg         identity_tag            total internals =            2500
newComponent(     Body,               Body,            none,                        1875 ,IDCOM_BODY              );                         # 0.35
newComponent(     TankHead,           TankHead,        Body,                        1625 ,IDCOM_HEAD              );                         # 0.25
newComponent(     LeftTread,          LeftTread,       Body,                        1500 ,IDCOM_LEFT_TREAD        );                         # 0.20
newComponent(     RightTread,         RightTread,      Body,                        1500 ,IDCOM_RIGHT_TREAD       );                         # 0.20
newComponent(     Pilot,              Pilot,           none,                        300 ,IDCOM_PILOT             );
#                                     (totals)                                       1500                                                     1.00

#                 Distribution        of               internal          components      among                   external         components
#                 containee           container        percent/100
newConfiguration( Armor,              Body,                          0.35);                                # 7000
newConfiguration( Armor,              TankHead,                      0.25);                                # 5000
newConfiguration( Armor,              LeftTread,                     0.20);                                # 4000
newConfiguration( Armor,              RightTread,                    0.20);                                # 4000
#                                                                    1.00
#

newConfiguration( LeftServos,         LeftTread,                     1.00);
newConfiguration( RightServos,        RightTread,                    1.00);

defaultWeapons(                     101);
defaultMountables(143,                201,             800,              928,            411,                    860,             830,                      810);
